#ifndef __OBJECT_H_
#define __OBJECT_H_

#include "skScriptedExecutable.h"
#include "skRValue.h"
#include "skRValueArray.h"

class ScriptedObject : public skScriptedExecutable
{
public:
	ScriptedObject(skString fileName, int my_param);

    // returns a field's value
    bool getValue (const skString& fieldName, const skString& attribute, skRValue& value);

    // sets a field's value
    bool setValue (const skString& fieldName, const skString& attribute, const skRValue& value);

    // calls a method in this object
    bool method (const skString& methodName, skRValueArray& arguments,skRValue& returnValue);
private:
	int m_param;

	void foo(int p);

};

#endif // __OBJECT_H_
